<?php
/**
 * bexplore Blog Theme Customizer
 *
 * @package Bexplore
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function bexplore_customize_register($wp_customize)
{
	$wp_customize->get_setting('blogname')->transport         = 'postMessage';
	$wp_customize->get_setting('blogdescription')->transport  = 'postMessage';
	$wp_customize->get_setting('header_textcolor')->transport = 'postMessage';

	if (isset($wp_customize->selective_refresh)) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector' => '.site-title a',
				'render_callback' => 'bexplore_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector' => '.site-description',
				'render_callback' => 'bexplore_customize_partial_blogdescription',
			)
		);
	}
}

add_action('customize_register', 'bexplore_customize_register');


/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function bexplore_customize_partial_blogname()
{
	bloginfo('name');
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function bexplore_customize_partial_blogdescription()
{
	bloginfo('description');
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */

require_once get_template_directory() . '/inc/customizer/customizer-sanitize.php';
require_once get_template_directory() . '/inc/customizer/global-panel.php';
require_once get_template_directory() . '/inc/customizer/breadcrumb-panel.php';
require_once get_template_directory() . '/inc/customizer/header-panel.php';
require_once get_template_directory() . '/inc/customizer/footer-panel.php';
require_once get_template_directory() . '/inc/customizer/contact-panel.php';
require_once get_template_directory() . '/inc/customizer/section-panel.php';
require get_template_directory() . '/inc/sections/breadcrumb.php';
require_once get_template_directory() . '/inc/custom-scripts.php';